#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libqmi-1.38.0

- Next

  libsigc++-2.12.1

- Up
- Home

# libseccomp-2.6.0

## Introduction to libseccomp

The libseccomp package provides an easy to use and platform independent interface to the Linux kernel's syscall filtering mechanism.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/seccomp/libseccomp/releases/download/v2.6.0/libseccomp-2.6.0.tar.gz

- Download MD5 sum: 2d42bcde31fd6e994fcf251a1f71d487

- Download size: 672 KB

- Estimated disk space required: 7.6 MB (additional 6.3 MB for tests)

- Estimated build time: less than 0.1 SBU (additional 1.7 SBU for tests)

### libseccomp Dependencies

#### Optional

Which-2.23 (needed for tests), Valgrind-3.26.0, cython-3.2.4 (for python bindings), and LCOV

## Installation of libseccomp

Install libseccomp by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-python`: this switch is needed to build python bindings if cython-3.2.4 is installed. The option `--disable-static` must not be given if this option is used. And you must run sed 's/env python/&3/' -i tests/regression if this option is used and you want to run the test suite.

## Contents

Installed Program: scmp_sys_resolver
Installed Library: libseccomp.so
Installed Directories: None

### Short Descriptions

scmp_sys_resolver | is used to resolve system calls for applications
`libseccomp.so` | contains API functions for translating syscalls

- Prev

  libqmi-1.38.0

- Next

  libsigc++-2.12.1

- Up
- Home